<?php
// If uninstall not called from WordPress exit
if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
                exit( );

// Retrieve all maps options installed as a plugin from DB
if( null !== get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) 
	and get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) 
	and !empty( get_option( 'rvm_custom_maps_options_for_plugin_path_system' ) ) ) {
	$rvm_retrieve_maps_options_for_plugin_path_system = get_option( 'rvm_custom_maps_options_for_plugin_path_system' );

	if( count( $rvm_retrieve_maps_options_for_plugin_path_system ) > 1 ) {//if we have multiple maps installed we delete from the array only the map uninstalled
		if( in_array( 'rvm-map-berlin-boroughs-merc', $rvm_retrieve_maps_options_for_plugin_path_system ) ) {
			unset( $rvm_retrieve_maps_options_for_plugin_path_system[ 'rvm-map-berlin-boroughs-merc' ] );//if map name is in option list, then we delete its key/value pair
		}
		update_option( 'rvm_custom_maps_options_for_plugin_path_system', $rvm_retrieve_maps_options_for_plugin_path_system );// update options without the map plugn uninstalled
	}

	else {
		//We have just one map installed via plugin and We delete the entire option
		delete_option( 'rvm_custom_maps_options_for_plugin_path_system' ); //delete map option
	}
}

?>